# Uses of Interface
org.eclipse.emf.compare.req.IReqEngine

Packages that use IReqEngine
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.rcp
org.eclipse.emf.compare.req

## Uses of IReqEngine in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IReqEngine
Modifier and Type
Field
Description
`protected IReqEngine`
EMFCompare.Builder.`reqEngine`
The IReqEngine to use to compute comparison.
Methods in org.eclipse.emf.compare with parameters of type IReqEngine
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setRequirementEngine(IReqEngine re)`
Sets the IReqEngine to be used to compute dependencies between Diff.
Constructors in org.eclipse.emf.compare with parameters of type IReqEngine
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IReqEngine in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IReqEngine
Modifier and Type
Method
Description
`IItemRegistry<IReqEngine>`
EMFCompareRCPPlugin.`getReqEngineDescriptorRegistry()`
Returns the registry of Requirements engines.

## Uses of IReqEngine in org.eclipse.emf.compare.req

Classes in org.eclipse.emf.compare.req that implement IReqEngine
Modifier and Type
Class
Description
`class`
`DefaultReqEngine`
The requirements engine is in charge of actually computing the requirements between the differences.